<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Market place</title>
</head>
<body>
    <div id="app">Market place</div>

    <form id="LoginPassword">
        <input type="text" id="userName" placeholder='Имя пользователя'> </input>
        <input type="text" id="AgePerson" placeholder="Возраст"> </input>
        <input type="text" id="AdressPerson" placeholder="Город, улица, дом"></input>
        <button>Сохранить</button>
    </form>

    <div id="greeting"></div>

    <script> 

        let Forma = document.getElementById("LoginPassword");

        Forma.addEventListener('submit', function(event) {
            event.preventDefault();

            let blocks = {
                name: document.getElementById("userName"),
                age: document.getElementById("AgePerson"),
                adress: document.getElementById("AdressPerson"),
                Hello: document.getElementById("greeting")
            }

            let values = {
                name: blocks.name.value,
                age: blocks.age.value,
                adress: blocks.adress.value
            }

            let valuesToShow = {
                name: null,
                age: null,
                adress: null
            }

            if (values.name === '') {
                valuesToShow.name = 'Неизвестно';
            } else {
                valuesToShow.name = values.name;
            }

            if (values.age === '') {
                valuesToShow.age = "Неизвестно";
            } else {
                valuesToShow.age = values.age;
            }

            if (values.adress === '') {
                valuesToShow.adress = 'Неизвестно'
            } else {
                valuesToShow.adress = values.adress
            }

            blocks.Hello.innerHTML = "Имя: " + valuesToShow.name + "<br>Возраст: " + valuesToShow.age +  "<br>Адрес: " + valuesToShow.adress;

        });

    </script>

    <script src="marketplace.js"></script>  

    </body>
</html>